<?php
/*
   InternetTimeView
   Version 1.0

   License : General Public License
   Visit http://mcfuture.net/ for the detail

   General Public License
   http://www.gnu.org/licenses/gpl.html
													     
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
*/ 

function setInternetTimeBeat($target){
	global $configVal, $pluginURL;
	requireComponent('Textcube.Function.misc');
	$data = misc::fetchConfigVal($configVal);

	$data['time_option'] = !isset($data['time_option'])?1:$data['time_option'];

	$target .= "<script type=\"text/javascript\" src=\"" . $pluginURL . "/getbeat".$data['time_option'].".js\"></script>".CRLF;
   
	return $target;
}

function InternetTimeView($target){
	ob_start();
?>
<span  id="InternetTimeArea"></span>
<?php
	$target = ob_get_contents();
	ob_end_clean();
	return $target;
}

function InternetTimeView_DataSet($DATA){
	requireComponent('Textcube.Function.misc');
	$cfg = misc::fetchConfigVal($DATA);

	return true;
}

function InternetTimeView_DataSet_ko($plugin) {
	global $service;
	
	$manifest = NULL;

	$manifest .= "<?xml version=\"1.0\" encoding=\"utf-8\"?>".CRLF;
	$manifest .= "<config dataValHandler=\"InternetTimeView_DataSet\" >".CRLF;
	$manifest .= "	<window width=\"500\" height=\"250\" />".CRLF;
	$manifest .= "	<fieldset legend=\"인터넷 시간 표시 환경설정\">".CRLF;
	$manifest .= "		<field title=\"시간 반복 표시\" name=\"time_option\" type=\"radio\"  >".CRLF;
	$manifest .= "			<op value=\"1\" checked=\"checked\"><![CDATA[반복]]></op>".CRLF;
	$manifest .= "			<op value=\"2\">반복 없음</op>".CRLF;
	$manifest .= "		</field>".CRLF;
	$manifest .= "	</fieldset>".CRLF;
	$manifest .= "</config>".CRLF;
	
	return $manifest;
}

?>